# -*- coding: utf-8 -*-
# Generated by Django 1.11.11 on 2018-04-17 01:38
from __future__ import unicode_literals

import django.db.models.deletion
import wagtailmetadata.models
from django.db import migrations, models

import roadbook.models


class Migration(migrations.Migration):
    dependencies = [
        ('wagtailcore', '0040_page_draft_title'),
        ('roadbook', '0008_auto_20180324_0343'),
    ]

    operations = [
        migrations.CreateModel(
            name='RoadbookRoutePage',
            fields=[
                ('page_ptr',
                 models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE,
                                      parent_link=True, primary_key=True, serialize=False, to='wagtailcore.Page')),
                ('start_location', models.CharField(max_length=250)),
                ('end_location', models.CharField(max_length=250)),
                ('display_locations', models.BooleanField(default=False)),
            ],
            options={
                'abstract': False,
            },
            bases=(
                roadbook.models.RoadbookIndexChildPageMixin, wagtailmetadata.models.MetadataMixin, 'wagtailcore.page',
                models.Model),
        ),
    ]
